Trac 0.9.XはPython 2.5系でうごきません

こんばんわ。
Trac勉強中のおじいさんです。
最新版のPythonをサーバに突っ込んでみたら、バグ管理システムに使っていたTracがInternalServerErrorを返すようになった、という話です。

お爺さんの所属している窓際開発族では、バグ管理システムにTracを使っています。
トラック、と読むようです。
これは、wiki、subversionのリポジトリ、バグ管理システムを兼ね備えていて、かなり便利なシロモノです。
まあ、最近使い始めたばかりで、まだまだ奥深い部分はわかっていないのです。

Trac配布元
 http://trac.edgewall.org/
日本語版
 http://www.i-act.co.jp/project/products/products.html

少なくとも、Bugzillaよりは気に入ったかな、という所ですね。
で、色々あったのですがPythonを最新バージョンに上げてみたら、動かなくなった。。。orz

Perl、PHPはまだしも、Pythonはまだ全然わからないので、右往左往。

http://discypus.jp/wiki/?%A5%BD%A5%D5%A5%C8%2FBug%20Tracking%2Ftrac

言語: Python。Trac 0.9.X はPython 2.3~2.4、Trac 0.10.X はPython 2.3~2.5で動作するようだ


マジですかー!
それでも色々といじってみたのですが、まったく原因がわからず。しかたがないので、Python2.4をtarballからコンパイルしてインストール。

動いた・・・助かった。。。。

さて、TracのバージョンUPは一体いつしようかな。そのうちしておかないと、また痛い目を見そうです。。。


"Trac 0.9.XはPython 2.5系でうごきません" へのコメントを書く

お名前
メールアドレス
ホームページアドレス
コメント